USB_EP_SET_WEDGE(9)

NAME
usb_ep_set_wedge - sets the halt feature and ignores clear requests

SYNOPSIS

int usb_ep_set_wedge(struct usb_ep * ep);

ARGUMENTS

ep
    the endpoint being wedged

DESCRIPTION

Use this to stall an endpoint and ignore CLEAR_FEATURE(HALT_ENDPOINT) requests. If the gadget driver clears the halt status, it will automatically unwedge the endpoint.

Returns zero on success, else negative errno.

AUTHOR

David Brownell <dbrownell@users.sourceforge.net>
    Author.

COPYRIGHT